%define upstream_name    HTTP-Server-Simple-Mason
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Module for an abstract baseclass for a standalone mason server
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JE/JESSE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(HTML::Mason) 
BuildRequires:  perl-libwww-perl 
BuildRequires:  perl(HTTP::Server::Simple)
BuildRequires:  perl(Hook::LexWrap)
BuildRequires:	perl(inc::Module::Install)
BuildArch:      noarch


%description
Perl module that contains a abstract baseclass for a standalone mason server.
This is based on HTTP::Server::Simple.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes  META.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.140.0-14.mga10
+ Revision: 2212035
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.140.0-13.mga9
+ Revision: 1830758
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-12.mga8
+ Revision: 1504699
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-11.mga7
+ Revision: 1284074
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.140.0-10.mga7
+ Revision: 1164837
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.140.0-9.mga7
+ Revision: 1159031
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1028450
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 949497
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 789952
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 747386
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 512154
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 368333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 41947
- mageia rebuild
- imported package perl-HTTP-Server-Simple-Mason


* Fri Nov 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.140.0-1mdv2011.0
+ Revision: 596557
- update to new version 0.14

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2011.0
+ Revision: 461290
- update to 0.13

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 406065
- rebuild using %%perl_convert_version

* Wed Jul 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2010.0
+ Revision: 393524
- update to new version 0.12

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.1
+ Revision: 309308
- update to new version 0.11

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.09-8mdv2009.0
+ Revision: 257255
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.09-6mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Michael Scherer <misc@mandriva.org> 0.09-6mdv2008.0
+ Revision: 81721
- rebuild for 2008


* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.09-5mdk
- Do not ship empty dir

* Fri Dec 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.09-4mdk
- Fix BuildRequires

* Fri Dec 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.09-3mdk
- Fix BuildRequires

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 0.09-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.09-1mdk
- First mandriva package

